IPB

Здравствуйте, гость ( Вход | Регистрация )

Зарегистрируйтесь, чтобы скрыть этот рекламный блок.
20 страниц V   1 2 3 > »   
Ответить в эту темуОткрыть новую тему
> Diablo II LOD. Сброс версий. Лечение пираток. Русификация. Англофикация.
L`Autour
сообщение 07.02.2006 - 08:52
Сообщение #1


Технарь
***

Сообщений: 514
Регистрация: 04.08.2005



Русификатор "Diablo II", "Diablo II Lord of Destruction"



D2RepRus_FDMLA_210316.exe

Создатель перевода: L`Autour на базе редактированного DM перевода от Фаргус.
Тип перевода: Текст

Версия: 21.03.2016
Требуемая версия игры: 1.001 - 1.14
Требуемый язык игры: не важно
Описание:
Переработанный перевод от Фаргус.

Основные отличия:
- перевод размещен в предусмотренных для русской локализации файлах, либо в папка Data для запуска игры с параметром -direct
- почти полностью переработан перевод доспехов\оружия по возможности ближе к реальным прототипам,
- префиксы и суффиксы переведены в соответствии с описываемыми ими свойствами, плюс они меняются в соответствии с родом предметов,
- откорректирован перевод навыков,
- откорректирован перевод монстров,
- откорректированы названия локаций,
- скорректированы шрифnы (в часности нормальная буква 'У'),
- небольшая корректировка описаний квестов и диалогов,
(При правке перевода изучались таблицы из data\global\exce,l The Arreat Summit и официальные локализации.)
- корректно работает при включенном UAC в Windows


Перевод ставится как на лицензию, так и на исправленную пиратку. Официальные локализации не задевает. Версия патча распознается автоматически.

!!! Ставить русификацию надо после установки патча !!!


Дополнительные возможности:
- переключение между русской и английской локализацией (если русская локализация была интегрирована в файлы игры),
- сброс игры до версии 1.001 (Diablo II) или до версии 1.07 (Diablo II Lord of Destruction) с английской локализацией,
- исправление пиратки для установки официальных патчей с восстановлением английской локализации,
- синхронизация в реестре путей к игровым сохранениям после установки патча 1.14 (требуется для видимости сохранений при откате патча и в сторонних утилитах).

Способ установки
1. При необходимости восстанавливаете правильный путь к папке с игрой.
2. При необходимости синхронизируется пути к игровым сохранениям.
2. Выбираете нужный скрипт. По умолчанию выбрана установка русской локализации в папку data.
3. Запускаете скрипт.
(Возможно ложное срабатывание некоторых антивирусов).

При установке русификатора будут созданы файлы:
Diablo_II_Rus.bat или Diablo_II_Eng.bat для запуска русской и английской версии соответственно.

Примечания:
- При смене версии патча игры перевод надо переустанавливать (чтобы обновить в игре русский файл patchstring.tbl).
- После установки официально патча игра пытается запустится в текущей локализации. Чтобы не было ошибок
из-за отсутствия обновленных файлов русской локализации, желательно перед установкой патча переключить игру
в английскую локализацию.



Последние патчи для "Diablo II", "Diablo II Lord of Destruction" можно скачать здесь.
Старые патчи для "Diablo II", "Diablo II Lord of Destruction" можно скачать здесь.

Примеры:


Прочее:
Программа для указания каталога 'Diablo II' и 'Diablo II.Lord of Destruction' (требуется если игра была перемещена или после переустановки системы)
Программа которая использовалась для установки русификатора и сброса версии игры
Добавление режима 800x600 в простую Diablo II
Исходные тексты русской локализации с конвертером

Сообщение отредактировал L`Autour - 19.05.2016 - 16:47


--------------------
Бываю, когда не забываю :)
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
Wetch
сообщение 07.02.2006 - 14:55
Сообщение #2


Новичок
*

Сообщений: 7
Регистрация: 13.03.2005



Прошёл п. 1 и 2, при установке 1.11b пишет:

lizzard BNUpdate v2.72 compiled on Oct 16 2003
Log created at 2:52 pm on 02/07/2006

This patch upgrades Diablo II Lord of Destruction from version 1.07 or later to version 1.10.

ERROR: unable to apply patch to file 'C:\Documents and Settings\DIMA\Мои документы\Разное\D2\Bnclient.dll'

RESULT: Patch failed

Что с этим делать?
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
coolёk
сообщение 08.02.2006 - 19:58
Сообщение #3


scattered dream
******

Сообщений: 5186
Регистрация: 08.07.2003



Большое спасибо L`Autour за проделанную работу.

Внимание! В списке важных топиков, старую тему теперь заменяет эта. Старую тему можно найти здесь http://www.diablozone.net/forum/index.php?showtopic=13700.

Здесь можно писать обо всех возникших проблемах. Никакого оффтопа.


--------------------
Георгий
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
L`Autour
сообщение 09.02.2006 - 07:38
Сообщение #4


Технарь
***

Сообщений: 514
Регистрация: 04.08.2005



Исправил ссылку на SetLod107.exe

Wetch
Пока два предположения:
- или не нравится путь к дьябле
- или... Просьба выложить созданные п.1 и п.2 логи.


--------------------
Бываю, когда не забываю :)
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
WorM
сообщение 11.02.2006 - 02:41
Сообщение #5


Новичок
*

Сообщений: 2
Регистрация: 11.02.2006



Цитата(Wetch @ 07.02.2006 - 14:55) *
Прошёл п. 1 и 2, при установке 1.11b пишет:

lizzard BNUpdate v2.72 compiled on Oct 16 2003
Log created at 2:52 pm on 02/07/2006

This patch upgrades Diablo II Lord of Destruction from version 1.07 or later to version 1.10.

ERROR: unable to apply patch to file 'C:\Documents and Settings\DIMA\Мои документы\Разное\D2\Bnclient.dll'

RESULT: Patch failed

Что с этим делать?

Такая же трабла
Вот логи.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
Весёлый Маразмат...
сообщение 11.02.2006 - 15:54
Сообщение #6


Slayer
**

Сообщений: 160
Регистрация: 06.02.2006



У меня русская пиратка от 8бит 1.09.
Что сначала - патчить или англифицировать?

Я так понял, что 1.09 -> Diablo II (1.07)
А потом что делать, устанавливать 1.11 сразу или сначала 1.09 назад, или 1.10 сперва?

И ещё: с этим можно вылезти на сервак?

Сообщение отредактировал DED_CANCEL - 11.02.2006 - 15:55
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
Весёлый Маразмат...
сообщение 11.02.2006 - 17:04
Сообщение #7


Slayer
**

Сообщений: 160
Регистрация: 06.02.2006



Ага!!! Я нашёл баг!!! И искать не пришлось!!!
У меня такое чувство, что мне никогда не пропатчить своё Диабло... cry.gif
ЧТО ДЕЛАЛ: wallbash.gif

1) Скинул версию до 1.07. Цитата:
"Для 'Diablo II.Lord of Destruction' (игра сбрасывется до версии 1.0.7):
LodRepair.exe (1815658)"
Успешно. smile.gif

2) Попытка пропатчить. Цитата:
"LODPatch_111b.exe"
Неудача: sad.gif
Blizzard BNUpdate v2.72 compiled on Oct 16 2003
Log created at 5:00 pm on 02/11/2006

This patch upgrades Diablo II Lord of Destruction from version 1.07 or later to version 1.10.

ERROR: unable to apply patch to file 'C:\PROGRA~1\Diablo2\D2Lang.dll'

RESULT: Patch failed

3) Англификация. Цитата:
"Для 'Diablo II' и 'Diablo II.Lord of Destruction' (игра по умолчанию будет запускаться в английской локализации):
D2LodEng.exe (963389)"
Успешно. smile.gif

4) Попытка пропатчить.
Безрезультатно (см. выше). sad.gif

ЧТО ДЕЛАТЬ, ПОМОГИТЕ!!!!! wallbash.gif cry.gif

Сообщение отредактировал DED_CANCEL - 11.02.2006 - 17:05
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
Весёлый Маразмат...
сообщение 11.02.2006 - 18:54
Сообщение #8


Slayer
**

Сообщений: 160
Регистрация: 06.02.2006



Пробую по старинке, где достать нормальный LOD cd-key?!!!
Lomalka отпадает, оттуда не закачивается.
Diablo ii тоже, там глюки.
Помогите пожалуйста!!!
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
L`Autour
сообщение 13.02.2006 - 07:30
Сообщение #9


Технарь
***

Сообщений: 514
Регистрация: 04.08.2005



WorM
DED_CANCEL

Нашел, где затык. Но почему-то в WinMPQ тоже самой работает без проблем

Сообщение отредактировал L`Autour - 14.02.2006 - 06:03


--------------------
Бываю, когда не забываю :)
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
WorM
сообщение 13.02.2006 - 10:20
Сообщение #10


Новичок
*

Сообщений: 2
Регистрация: 11.02.2006



Цитата(L`Autour @ 13.02.2006 - 07:30) *
WorM
DED_CANCEL

Проблема в том, что LodRepair.exe не может упаковать некоторые файлы.
Прошу выложить после запуска этой модификации LodRepair:
http://ferrumsoft.narod.ru/LodRepair_Debug.exe (~1.8 Mb)

Вот еще старый вариант (без лога):
http://ferrumsoft.narod.ru/LodRepEng.exe (~2.6 Mb)

Всем спасибо сам разобрался loadrepair.rar все разрулил, после него патч установился.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
L`Autour
сообщение 13.02.2006 - 14:48
Сообщение #11


Технарь
***

Сообщений: 514
Регистрация: 04.08.2005



WorM
Теоретически LodRepair.exe должен делать тоже, что и loadrepair.rar.


--------------------
Бываю, когда не забываю :)
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
DFirst
сообщение 14.02.2006 - 07:45
Сообщение #12


птушнег
**

Сообщений: 326
Регистрация: 03.01.2006



Сбросил до 1.07, но патчу всё равно не нравится чексумма wallbash.gif

Плиз, выложите кто-нибудь Game.exe который 100% работает с патчем.

Сообщение отредактировал DFirst - 14.02.2006 - 08:10


--------------------
БОЙТЕСЬ БЛЯДИ, БАШНЮ КЛИНИТ!

"пропал мальчег! рост - метр с х*ем, глаза - укуренные! кто найдёт, пусть даст песды!" (с)

Я - результат стечения обстоятельств и вмонтированных в меня программ.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
x_nemo
сообщение 14.02.2006 - 13:21
Сообщение #13


Новичок
*

Сообщений: 2
Регистрация: 14.02.2006



Привет!
Прошу совета, т.к. поиск не помог.
У меня пиратка, русская. Сделал всё как тут написано: сбросил, англифицировал (всё вроде прошло нормально). Далее - официальный патч 1.10 не встал (вышеописанная проблема с D2lang.dll). Зато взятый отсюда патч 1.10 для пираток помог и всё заработало. НО! Все названия в игре (меню и предметы) подписаны правильно, но шрифт в подписях (не в меню) отображается очень плотно (как будто к нему в Ворде применили форматирование "Формат - Шрифт - Интервал - Уплотнённый на 2 пт"), - все символы налазят друг на друга и очень плохо читаются.
Уже и менял размер системных шрифтов (стоит 96dpi), и убирал сглаживание, - ничего не помогает.
Начал грешить на монитор (у меня 19" ТФТ), но при смене разрешения с 640*480 на 600*800 ничего не меняется.
Заранее благодарен за помощь.
ЗЫ: Может быть проблема в D2lang.dll, так что прошу сбросить этот файл с заведомо работоспособной (англифицированной) 1.10.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
Psy2pik
сообщение 15.02.2006 - 11:19
Сообщение #14


BugagaEnchanted GanjaResistant
***

Сообщений: 871
Регистрация: 03.10.2005



cry.gif видно не судьба мне поиграть в 1.10 так как :



У меня пиратка от 8бит ЛОД 1.09

Скачал от сюда репаир,англофикацию и патч 1.10 вот

Прибежал домой скинул версию до 1.07 , далее англофицировал и поставил патч ВСЁ прошло хорошо .... но без диска не поперло(млять) wallbash.gif погнал в ближайшей компутерный клуб заплатил 65 дерева за скаченый лоадер для 1.10, установил его дома и о ЧУДО всё поперло но появились проблемы..... на титульном экране там где выбор сингл или батл, проблемы с шрифтом он весь ужасно сжат и букавки налазиют друг на друга(млять) !! wallbash.gif и следом за увиденым происходит вылет и заипавшее уже сообщение "Хей гайс ви хева биг ерор хир" млять спасите, помагите, ЧЁ делать ???


--------------------
- Non stop dangerous endorphine mashine
- One of Penguins Protection Society (PPS)
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
x_nemo
сообщение 15.02.2006 - 11:38
Сообщение #15


Новичок
*

Сообщений: 2
Регистрация: 14.02.2006



У меня, видимо, та же проблема!
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
L`Autour
сообщение 15.02.2006 - 12:50
Сообщение #16


Технарь
***

Сообщений: 514
Регистрация: 04.08.2005



Всем

Разобрался почему репайры пираток и англофикация пираток не всегда их полностью исправляют Сегодня к концу дня выложу исправленные версии. (Если прямо сейчас, то старый репайр с англофикацией точно рабочий: _h_t_t_p:\\ferrumsoft.narod.ru\LodRepEng.exe)

P.S. Было исправлено.

Сообщение отредактировал L`Autour - 15.02.2006 - 14:31


--------------------
Бываю, когда не забываю :)
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
Весёлый Маразмат...
сообщение 15.02.2006 - 14:14
Сообщение #17


Slayer
**

Сообщений: 160
Регистрация: 06.02.2006



L`Autour respect.gif
СПАСИБО!!!
Если у меня ещё будут проблемы, то сразу пойду к тебе!!! devil2.gif

У меня глюки со шрифтом, как сказано выше, но, КСТАТИ, выложенный в прошлой теме англификатор не творил таких неприятных вещей.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
L`Autour
сообщение 15.02.2006 - 14:26
Сообщение #18


Технарь
***

Сообщений: 514
Регистрация: 04.08.2005



DED_CANCEL
Цитата
У меня глюки со шрифтом, как сказано выше, но, КСТАТИ, выложенный в прошлой теме англификатор не творил таких неприятных вещей.

Дело в том, что новый англофикатор не до конца выполнял свою работу (забыл в программе закрыть открытый файл rolleyes.gif )

P.S.
Внес исправления в файлах алгоритма (решение проблемы с установкой официальных патчей и неполной англофикацией).
Подробности в конце первого поста.
(D2LodRep_v02.rar - временно не доступен)


--------------------
Бываю, когда не забываю :)
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
Psy2pik
сообщение 15.02.2006 - 14:36
Сообщение #19


BugagaEnchanted GanjaResistant
***

Сообщений: 871
Регистрация: 03.10.2005



2L`Autour: слушай, тоесть если я щас скачаю репайр лода для пиратки и англофикацию + патч 1.10 и до кучи лоддер для 1.10, то проблем( с шрифтом и вылетом) не будет , да ? smile.gif


--------------------
- Non stop dangerous endorphine mashine
- One of Penguins Protection Society (PPS)
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
Lord_Puff
сообщение 15.02.2006 - 18:16
Сообщение #20


Новичок
*

Сообщений: 82
Регистрация: 25.10.2005



L`Autour respect.gif


--------------------
Ночь.Из темноты суровый голос:
- Бухой Дозор,всем выйти из запоя!
- Пошел нах..!У нас лицензия Трезвого Дозора на запои третьего уровня!
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
L`Autour
сообщение 16.02.2006 - 05:55
Сообщение #21


Технарь
***

Сообщений: 514
Регистрация: 04.08.2005



Psy2pik
Я исправил репайр лода для пиратки и англофикацию. Патч 1.10 и до кучи лоддер были рабочими.

P.S. '
D2LodRep_v02.rar теперь доступен.

Сообщение отредактировал L`Autour - 16.02.2006 - 14:21


--------------------
Бываю, когда не забываю :)
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
Весёлый Маразмат...
сообщение 17.02.2006 - 18:19
Сообщение #22


Slayer
**

Сообщений: 160
Регистрация: 06.02.2006



2L`Autour
Пасибки, с версией 0.2 всё немного лучше, но не идеал.

А ИМЕННО: устаовил 1.11b, но немогу запустить Diablo II.exe, требует диск!!! А Game.exe вообще не запускается! wallbash.gif

Я обещал придти за помощью. И вот я тута. Плз, помоги! helpsmilie.gif
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
Весёлый Маразмат...
сообщение 18.02.2006 - 17:39
Сообщение #23


Slayer
**

Сообщений: 160
Регистрация: 06.02.2006



Можно ли с таким образом пропатченной Дьяблой играть на Battle.net?
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
beer_lvr
сообщение 18.02.2006 - 20:21
Сообщение #24


Slayer
**

Сообщений: 151
Регистрация: 19.04.2004



Для игры на официалке - нужен ключ.
Для игры на пиратках - лицензионный ключ не нужен.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
L`Autour
сообщение 20.02.2006 - 06:21
Сообщение #25


Технарь
***

Сообщений: 514
Регистрация: 04.08.2005



ShadowKeeper

см. Пункт 4 (Патчи и NoCD это совершенно разные вещи)


--------------------
Бываю, когда не забываю :)
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
Весёлый Маразмат...
сообщение 20.02.2006 - 17:16
Сообщение #26


Slayer
**

Сообщений: 160
Регистрация: 06.02.2006



Закачал для 1.11b, какой текущий Диабло у меня присутствует, скинул в эту папку, посмотрел коммнеты, ничего обязательного не нашёл. blink.gif
Игра запускается, но не через лоадер, там как всегда ненавистный "Hey guys!" , а через Diablo II.exe.
Версия по-прежнему отображается 1.09. blink.gif
Что я сделал не так? helpsmilie.gif
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
L`Autour
сообщение 21.02.2006 - 07:29
Сообщение #27


Технарь
***

Сообщений: 514
Регистрация: 04.08.2005



Дракон-Тень
Если отображается 1.09 то патч 1.11 не установлен. (Сразу после успешной установки патч пытается запустить игру)
Попробуй по новой выполнить алгоритм. (в обязательном порядке с 1 по 4 пункты - должно помочь).


--------------------
Бываю, когда не забываю :)
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
Весёлый Маразмат...
сообщение 21.02.2006 - 22:25
Сообщение #28


Slayer
**

Сообщений: 160
Регистрация: 06.02.2006



О, Великий! biggrin.gif
Всё работает!! clap.gif
Родина Тебя не забудет!!! cry.gif
respect.gif respect.gif respect.gif
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
Necrom-chief
сообщение 23.02.2006 - 22:03
Сообщение #29


Новичок
*

Сообщений: 3
Регистрация: 19.02.2006



А кто подскажет, где скачать патч 1.10 для пираток? Нужен ИМЕННО для пираток... Вариант с исправлением не подходит.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0
El Diablo LAoDZ
сообщение 23.02.2006 - 22:05
Сообщение #30


пусто...
*****

Сообщений: 3830
Регистрация: 30.06.2005



2Necrom-chief: на главной странице форума или в фаловом архиве.


--------------------
[center]
-=]Глава клана[=-

Для лидера нет оправданийю. (Конфуций)
[/center]
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщенияВставить ник в форму быстрого ответа
0

20 страниц V   1 2 3 > » 
Ответить в эту темуОткрыть новую тему
1 чел. читают эту тему (гостей: 1, скрытых пользователей: 0)
Пользователей: 0

 



RSS Рейтинг@Mail.ru
Сейчас: 22.06.17 - 15:01